config:
  secret:
    argocdServerAdminPassword: "{{ argocd_admin_credentials.password }}"
redis:
  auth:
    password: "argo-redis-super-secure"
repoServer:
  containerPorts:
    metrics: 8084
  containerSecurityContext:
    # https://github.com/argoproj/argo-cd/issues/2890#issuecomment-1112458270
    # https://github.com/bitnami/charts/commit/165ed11a964e86abae75c65ac6efd50451cbe6ad#diff-21e801bbed271889a463d2061a63530be0fc02898a0957c7ae3079c89af1a881
    runAsUser: 65534
  
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
dex:
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
controller:
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
server:
  extraArgs:
    - "--insecure"
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
  url: "{{ ingress_protocol }}://{{ cloudstack.plugins.argocd.subdomain }}.{{ cloudstack.stack.hostname }}"
{% if cloudstack.plugins.argocd.ingress.enabled|bool or cloudstack.stack.exposed|bool %}
  ingress:
    enabled: True
{% if cloudstack.plugins.argocd.ingress.hostname != "" %}
    hostname: "{{ cloudstack.plugins.argocd.ingress.hostname }}"
{% else %}
    hostname: "{{ cloudstack.plugins.argocd.subdomain }}.{{ cloudstack.stack.hostname }}"
{% endif %}
{% if cloudstack.plugins.argocd.ingress.tls.enabled|bool or cloudstack.stack.tls|bool %}
    tls: true
{% else %}
    tls: false
{% endif %}
    path: "/"
{% if cloudstack.plugins.argocd.ingress.tls.provider == "secret" %}
    secrets:
      - name: "{{ cloudstack.plugins.argocd.ingress.tls.secret.name }}"
        certificate: "{{ cloudstack.plugins.argocd.ingress.tls.secret.cert.content }}"
        key: "{{ cloudstack.plugins.argocd.ingress.tls.secret.key.content }}"
{% endif %}
    annotations:
      kubernetes.io/ingress.class: "nginx"
{% if cloudstack.plugins.argocd.ingress.tls.enabled|bool or cloudstack.stack.tls|bool %}
{% if cloudstack.plugins.argocd.ingress.tls.provider == "letsencrypt" %}
      kubernetes.io/tls-acme: "true"
      acme.cert-manager.io/http01-ingress-class: "nginx"
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
      cert-manager.io/cluster-issuer: "cloudstack-dns01"
{% elif cloudstack.plugins.letsencrypt.config.issuers.http01.enabled|bool %}
      cert-manager.io/cluster-issuer: "letsencrypt-{{ cloudstack.plugins.letsencrypt.config.environment }}"
{% endif %}
{% endif %}
{% endif %}
{% endif %}